<FindBugsFilter>

    <Match>
        <Bug pattern='WMI_WRONG_MAP_ITERATOR' />
        <!-- iterating keys can often be more readable; performance difference in negligible -->
    </Match>

    <Match>
        <Class name='net.sf.practicalxml.converter.bean.Introspection' />
        <Bug pattern='NM_SAME_SIMPLE_NAME_AS_SUPERCLASS' />
        <!-- this is intentional; the Practical XML version of this class is deprecated, not used -->
    </Match>

    <Match>
        <Class name='net.sf.practicalxml.XmlUtil' />
        <Method name='parserHelper' />
        <Bug pattern='SF_SWITCH_NO_DEFAULT' />
        <!-- the switch statements in this method don't have default behavior, and may not cover all cases -->
    </Match>

</FindBugsFilter>
